Network

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.transport
Interface Network

All Superinterfaces:
  SIElement, SIRetrievable

    public interface Network

extends SIElement

This interface provides descriptive information concerning a network.

Method Summary
`String` | `getName()` Reports the name of this network.
`int` | `getNetworkID()` Reports the ID of this network.
`SIRequest` | `retrieveTransportStreams(SIRequestor requestor)` Retrieves an array of `TransportStream` objects representing the transport streams carried in this `Network`.

Methods inherited from interface javax.tv.service.SIElement
`equals, getLocator, getServiceInformationType, hashCode`

Methods inherited from interface javax.tv.service.SIRetrievable
`getUpdateTime`

Method Detail

### getNetworkID

    int getNetworkID()

  Reports the ID of this network.

  Returns:
    A number identifying this network.

### getName

    String getName()

  Reports the name of this network.

  Returns:
    A string representing the name of this network, or an empty string if the name is unavailable.

### retrieveTransportStreams

    SIRequest retrieveTransportStreams(SIRequestor requestor)

  Retrieves an array of `TransportStream` objects representing the transport streams carried in this `Network`. Only `TransportStream` instances `ts` for which the caller has `javax.tv.service.ReadPermission(ts.getLocator())` will be present in the array. If no `TransportStream` instances meet this criteria or if this `Network` does not aggregate transport streams, the result is an `SIRequestFailureType` of `DATA_UNAVAILABLE`.

  This method delivers its results asynchronously.

  Parameters:
    `requestor` - The `SIRequestor` to be notified when this retrieval operation completes.
  Returns:
    An `SIRequest` object identifying this asynchronous retrieval request.
  See Also:
    `TransportStream`, `ReadPermission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD